Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(13)

Issue 9751011: Gesture recognition constants should all be stored in the GestureConfiguration object. (Closed)

Created:
7 years, 6 months ago by tdresser
Modified:
7 years, 6 months ago
Reviewers:
girard, sadrul, sky
CC:
chromium-reviews, dhollowa+watch_chromium.org, sadrul, ben+watch_chromium.org, girard
Base URL:
http://git.chromium.org/chromium/src.git@master
Visibility:
Public.

Description

Gesture recognition constants should all be stored in the GestureConfiguration object. BUG=119086 TEST=GestureRecognizerTest.* Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=129649

Patch Set 1 #

Patch Set 2 : Naming consistency, and alphabetical order. #

Patch Set 3 : Protect unit tests from changes in GestureConfiguration. #

Total comments: 9

Patch Set 4 : Unified Units #

Total comments: 1

Patch Set 5 : Freshen. #

Patch Set 6 : Freshen #

Unified diffs Side-by-side diffs Delta from patch set Stats (+286 lines, -112 lines) Patch
M chrome/browser/ui/views/ash/gesture_prefs_aura.cc View 1 2 3 4 4 chunks +88 lines, -17 lines 0 comments Download
M chrome/common/pref_names.h View 1 2 3 4 5 1 chunk +15 lines, -7 lines 0 comments Download
M chrome/common/pref_names.cc View 1 2 3 4 5 1 chunk +35 lines, -14 lines 0 comments Download
M ui/aura/gestures/gesture_configuration.h View 1 2 3 4 2 chunks +74 lines, -29 lines 0 comments Download
M ui/aura/gestures/gesture_configuration.cc View 1 2 3 4 1 chunk +19 lines, -6 lines 0 comments Download
M ui/aura/gestures/gesture_point.cc View 2 chunks +9 lines, -16 lines 0 comments Download
M ui/aura/gestures/gesture_recognizer_unittest.cc View 1 2 3 4 5 7 chunks +21 lines, -9 lines 0 comments Download
M ui/aura/gestures/gesture_sequence.cc View 1 2 3 4 3 chunks +5 lines, -14 lines 0 comments Download
M ui/aura/test/aura_test_base.cc View 1 2 3 4 2 chunks +20 lines, -0 lines 0 comments Download

Messages

Total messages: 7 (0 generated)
tdresser
7 years, 6 months ago (2012-03-20 18:09:12 UTC) #1
girard
Looks good, except for the buffer size variable. (I don't think there's any useful purpose ...
7 years, 6 months ago (2012-03-20 18:30:59 UTC) #2
tdresser
https://chromiumcodereview.appspot.com/9751011/diff/8001/chrome/browser/ui/views/ash/gesture_prefs_aura.cc File chrome/browser/ui/views/ash/gesture_prefs_aura.cc (right): https://chromiumcodereview.appspot.com/9751011/diff/8001/chrome/browser/ui/views/ash/gesture_prefs_aura.cc#newcode47 chrome/browser/ui/views/ash/gesture_prefs_aura.cc:47: prefs::kLongPressTimeInMs, On 2012/03/20 18:30:59, girard wrote: > It's unfortunate ...
7 years, 6 months ago (2012-03-20 19:34:10 UTC) #3
sadrul
LGTM http://codereview.chromium.org/9751011/diff/14001/chrome/browser/ui/views/ash/gesture_prefs_aura.cc File chrome/browser/ui/views/ash/gesture_prefs_aura.cc (right): http://codereview.chromium.org/9751011/diff/14001/chrome/browser/ui/views/ash/gesture_prefs_aura.cc#newcode169 chrome/browser/ui/views/ash/gesture_prefs_aura.cc:169: prefs::kRailStartProportion)); General comment: this is fairly icky. Updating ...
7 years, 6 months ago (2012-03-26 19:56:59 UTC) #4
sky
LGTM
7 years, 6 months ago (2012-03-28 20:52:05 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/tdresser@chromium.org/9751011/31001
7 years, 6 months ago (2012-03-29 15:21:49 UTC) #6
commit-bot: I haz the power
7 years, 6 months ago (2012-03-29 18:19:20 UTC) #7
Change committed as 129649

Powered by Google App Engine
This is Rietveld 408576698